Subject: bug#35574: bcm5974 touchpad is not recognized as touchpad

From: Mathieu Othacehe <[email-masked]>
Date: Mon, 27 Apr 2020 08:36:37 +0200

Hello Florian,

> I tested the patch with linux-libre 5.4 on various x86_64 machines and
> I tested 5.4, 4.19 and 4.4 on my Macbook.  I did not wait for
> compilation to complete on non-Intel architectures, but I doubt the
> patch causes problems.

Thanks for fixing this! This seems like a reasonable choice. However, I
noticed that on Ubuntu, CONFIG_USB_MOUSE is set to 'M'. So maybe they
have some special udev/blacklist rules to handle this case?

> I suppose this can go directly to master even though it requires the
> linux-libre to be rebuilt?

Yes, the kernel is frequently updated on master anyways.

Thanks,

Mathieu